BIGLOO(1)

NAME
bigloo v2.3 - `a practical Scheme compiler'

SYNOPSIS
bigloo [ options ] [ input ]

DESCRIPTION
Bigloo is a Scheme compiler. Scheme is defined in an IEEE standard for the Scheme Programming Language but Bigloo does not entirely conform to it. The compiler produces either C files or Java class files. The C files are then compiled by any ISO C compiler to produce .o or executable files. Bigloo is a module compiler which means that it is allowed to compile several files and to link them together to produce an unique executable.

OPTIONS

options
    Many options are available. Type `bigloo -help' to print them.

-jvm
    Produces Java class files instead of C files. This option has to be used when compiling and when linking.

-no-jvmjar
    Disable jar file production when linking with -jvm.

input
    If an input file is provided, Bigloo compiles it. Otherwise the interpreter is entered. Input must be a recognized Scheme source file name (i.e. a file name with a recognized suffix (see -suffix option)).

CONFIGURATION FILE
Each Bigloo's user can use a special configuration file. This file must be named `~/.bigloorc'. This file makes it possible to modify the behaviour of the compiler. This file is a regular Scheme file which contains expressions bound in an environment where compiler parameters are bound. See the documentation for details.

ENVIRONMENT VARIABLES

BIGLOOHEAP
    Set the environment size (in megabytes). The default value is 4.

TMPDIR
    Set the temporary directory. The default value is `/tmp'.

BIGLOOLIB
    The path to find the Bigloo's library.

BIGLOOJAVAOPT
    Java Virtual Machine options when running Bigloo a application.

FILES
/.../lib/bigloo/2.3a/bigloo.heap -- saved heap image for the compiler.
/.../lib/bigloo/2.3a/bigloo.jheap -- saved heap image for the compiler for -jvm compiations.
/.../lib/bigloo/2.3a/bigloo.h -- definitions which are #include'd in the C code.
/.../lib/bigloo/2.3a/libbigloo.a -- library.
/.../lib/bigloo/2.3a/libbigloo_u.a -- library.
~/.bigloorc -- user `runtime-command' configuration file.
/.../.bigloorc -- idem.

SEE ALSO
afile(1), jfile(1), bdepend(1), bmake(1), bpp(1), bprof(1), btags(1), mco(1) gcc(1), camloo(1), cigloo(1), jigloo(1).

AUTHOR
Manuel SERRANO, Manuel.Serrano@unice.fr